###################################################
### chunk number 1: 
###################################################
library("MMG")


###################################################
### chunk number 2: 
###################################################
r <- MMG.compute(file.name="hexag.dat", steps=100000, alpha=0.1)


###################################################
### chunk number 3: 
###################################################
s <- MMG.cut.graph(r, select="UP")


###################################################
### chunk number 4: 
###################################################
s$components


###################################################
### chunk number 5: 
###################################################
MMG.make.dot(r, file.name="test1.dot", selection=c(1, 5, 6))
MMG.make.dot(r, file.name="test2.dot", selection=1:6)


###################################################
### chunk number 6: 
###################################################
r <- MMG.compute(file.name="hexag.dat", data="new.dat", steps=100000, alpha=0.1)
s <- MMG.cut.graph(r, select="UP")
s$components


###################################################
### chunk number 7: 
###################################################
# Load the package
library("MMG")

# Run the Gibbs sampler
r <- MMG.compute(file.name = "R_net.dat",
                 steps = 50000, burn.in = 1000,
                 sigma = 0.3, alpha = 1)

# n = node number?
n <- r$dat$n.nodes; n

# Cut the graph
s <- MMG.cut.graph(r, descriptions = "R_descr.dat",
                   method = "THRESHOLD",
                   threshold = 0.25, select = "UP")

# Get the indices of the nodes that are up-regulated
l <- (1:n)[s$components != 0]; l

# Produce a DOT file
MMG.make.dot(r, file.name = "nostoc.dot",
             selection = l, type = "UNDIRECTED",
             rem.loops = TRUE)


